Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.util
Class ButtonRelatedWidgetState

    java.lang.Object
      java.util.Observable
          edu.stanford.smi.protegex.util.AbstractWidgetState
              edu.stanford.smi.protegex.util.ButtonRelatedWidgetState

Direct Known Subclasses:
  AbstractTableWidgetState, ContainsWidgetState

    public class ButtonRelatedWidgetState

extends AbstractWidgetState

Maintains state for action buttons Abstract superclass for lots of state objects

Author:
  William Grosso

Field Summary
`protected String` | `_addInstanceButtonTooltip`
`protected String` | `_addInstanceDialogTitle`
`protected String` | `_createInstanceButtonTooltip`
`protected String` | `_createInstanceDialogTitle`
`protected String` | `_deleteInstanceButtonTooltip`
`protected boolean` | `_displayAddInstanceButton`
`protected boolean` | `_displayCreateInstanceButton`
`protected boolean` | `_displayDeleteInstanceButton`
`protected boolean` | `_displayMoveInstanceButtons`
`protected boolean` | `_displayPrototypeButton`
`protected boolean` | `_displayRemoveInstanceButton`
`protected boolean` | `_displayViewInstanceButton`
`protected String` | `_moveInstanceButtonsTooltip`
`protected String` | `_prototypeButtonTooltip`
`protected int` | `_prototypeDepth`
`protected String` | `_removeInstanceButtonTooltip`
`protected String` | `_viewInstanceButtonTooltip`
`protected static String` | `ADD_INSTANCE_BUTTON_TOOLTIP`
`protected static String` | `ADD_INSTANCE_BUTTON_TOOLTIP_DEFAULT`
`protected static String` | `ADD_INSTANCE_DIALOG_TITLE`
`protected static String` | `ADD_INSTANCE_DIALOG_TITLE_DEFAULT`
`protected static String` | `CREATE_INSTANCE_BUTTON_TOOLTIP`
`protected static String` | `CREATE_INSTANCE_BUTTON_TOOLTIP_DEFAULT`
`protected static String` | `CREATE_INSTANCE_DIALOG_TITLE`
`protected static String` | `CREATE_INSTANCE_DIALOG_TITLE_DEFAULT`
`protected static String` | `DELETE_INSTANCE_BUTTON_TOOLTIP`
`protected static String` | `DELETE_INSTANCE_BUTTON_TOOLTIP_DEFAULT`
`protected static String` | `DISPLAY_ADD_INSTANCE_BUTTON`
`protected static String` | `DISPLAY_CREATE_INSTANCE_BUTTON`
`protected static String` | `DISPLAY_DELETE_INSTANCE_BUTTON`
`protected static String` | `DISPLAY_MOVE_INSTANCE_BUTTONS`
`protected static String` | `DISPLAY_PROTOTYPE_BUTTON`
`protected static String` | `DISPLAY_REMOVE_INSTANCE_BUTTON`
`protected static String` | `DISPLAY_VIEW_INSTANCE_BUTTON`
`protected static String` | `MOVE_INSTANCE_BUTTONS_TOOLTIP`
`protected static String` | `MOVE_INSTANCE_BUTTONS_TOOLTIP_DEFAULT`
`protected static String` | `PROTOTYPE_BUTTON_TOOLTIP`
`protected static String` | `PROTOTYPE_BUTTON_TOOLTIP_DEFAULT`
`protected static String` | `PROTOTYPE_DEPTH`
`protected static String` | `REMOVE_INSTANCE_BUTTON_TOOLTIP`
`protected static String` | `REMOVE_INSTANCE_BUTTON_TOOLTIP_DEFAULT`
`protected static String` | `VIEW_INSTANCE_BUTTON_TOOLTIP`
`protected static String` | `VIEW_INSTANCE_BUTTON_TOOLTIP_DEFAULT`

Fields inherited from class edu.stanford.smi.protegex.util.AbstractWidgetState
`_properties`

Constructor Summary
`ButtonRelatedWidgetState(PropertyList properties)`

Method Summary
`void` | `dispose()`
`String` | `getAddInstanceButtonTooltip()`
`String` | `getAddInstanceDialogTitle()`
`String` | `getCreateInstanceButtonTooltip()`
`String` | `getCreateInstanceDialogTitle()`
`String` | `getDeleteInstanceButtonTooltip()`
`String` | `getMoveInstanceDownTooltip()`
`String` | `getMoveInstanceTooltip()`
`String` | `getMoveInstanceUpTooltip()`
`String` | `getPrototypeButtonTooltip()`
`int` | `getPrototypeDepth()`
`String` | `getRemoveInstanceButtonTooltip()`
`String` | `getViewInstanceButtonTooltip()`
`boolean` | `isDisplayAddInstanceButton()`
`boolean` | `isDisplayCreateInstanceButton()`
`boolean` | `isDisplayDeleteInstanceButton()`
`boolean` | `isDisplayMoveInstanceButtons()`
`boolean` | `isDisplayPrototypeButton()`
`boolean` | `isDisplayRemoveInstanceButton()`
`boolean` | `isDisplayViewInstanceButton()`
`void` | `restore()`
`void` | `save()`
`void` | `setAddInstanceButtonTooltip(String addInstanceButtonTooltip)`
`void` | `setAddInstanceDialogTitle(String addInstanceDialogTitle)`
`void` | `setCreateInstanceButtonTooltip(String createInstanceButtonTooltip)`
`void` | `setCreateInstanceDialogTitle(String createInstanceDialogTitle)`
`void` | `setDeleteInstanceButtonTooltip(String removeInstanceButtonTooltip)`
`void` | `setDisplayAddInstanceButton(boolean displayAddInstanceButton)`
`void` | `setDisplayAddInstanceButton(Boolean displayAddInstanceButton)`
`void` | `setDisplayCreateInstanceButton(boolean displayCreateInstanceButton)`
`void` | `setDisplayCreateInstanceButton(Boolean displayCreateInstanceButton)`
`void` | `setDisplayDeleteInstanceButton(boolean displayDeleteInstanceButton)`
`void` | `setDisplayDeleteInstanceButton(Boolean displayDeleteInstanceButton)`
`void` | `setDisplayMoveInstanceButtons(boolean display)`
`void` | `setDisplayPrototypeButton(boolean displayPrototypeButton)`
`void` | `setDisplayPrototypeButton(Boolean displayPrototypeButton)`
`void` | `setDisplayRemoveInstanceButton(boolean displayRemoveInstanceButton)`
`void` | `setDisplayRemoveInstanceButton(Boolean displayRemoveInstanceButton)`
`void` | `setDisplayViewInstanceButton(boolean displayViewInstanceButton)`
`void` | `setDisplayViewInstanceButton(Boolean displayViewInstanceButton)`
`void` | `setMoveInstanceButtonsTooltip(String moveInstanceButtonsTooltip)`
`void` | `setPrototypeButtonTooltip(String prototypeButtonTooltip)`
`void` | `setPrototypeDepth(int prototypeDepth)`
`void` | `setPrototypeDepth(Integer prototypeDepth)`
`void` | `setRemoveInstanceButtonTooltip(String removeInstanceButtonTooltip)`
`void` | `setViewInstanceButtonTooltip(String viewInstanceButtonTooltip)`

Methods inherited from class edu.stanford.smi.protegex.util.AbstractWidgetState
`broadcast, isCustomized, readBoolean, readInt, readString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _prototypeDepth

    protected int _prototypeDepth

### _displayCreateInstanceButton

    protected boolean _displayCreateInstanceButton

### _displayAddInstanceButton

    protected boolean _displayAddInstanceButton

### _displayViewInstanceButton

    protected boolean _displayViewInstanceButton

### _displayRemoveInstanceButton

    protected boolean _displayRemoveInstanceButton

### _displayDeleteInstanceButton

    protected boolean _displayDeleteInstanceButton

### _displayMoveInstanceButtons

    protected boolean _displayMoveInstanceButtons

### _displayPrototypeButton

    protected boolean _displayPrototypeButton

### _createInstanceButtonTooltip

    protected String _createInstanceButtonTooltip

### _addInstanceButtonTooltip

    protected String _addInstanceButtonTooltip

### _viewInstanceButtonTooltip

    protected String _viewInstanceButtonTooltip

### _removeInstanceButtonTooltip

    protected String _removeInstanceButtonTooltip

### _deleteInstanceButtonTooltip

    protected String _deleteInstanceButtonTooltip

### _moveInstanceButtonsTooltip

    protected String _moveInstanceButtonsTooltip

### _prototypeButtonTooltip

    protected String _prototypeButtonTooltip

### _createInstanceDialogTitle

    protected String _createInstanceDialogTitle

### _addInstanceDialogTitle

    protected String _addInstanceDialogTitle

### PROTOTYPE_DEPTH

    protected static final String PROTOTYPE_DEPTH

See Also:
  Constant Field Values

### DISPLAY_CREATE_INSTANCE_BUTTON

    protected static final String DISPLAY_CREATE_INSTANCE_BUTTON

See Also:
  Constant Field Values

### DISPLAY_ADD_INSTANCE_BUTTON

    protected static final String DISPLAY_ADD_INSTANCE_BUTTON

See Also:
  Constant Field Values

### DISPLAY_VIEW_INSTANCE_BUTTON

    protected static final String DISPLAY_VIEW_INSTANCE_BUTTON

See Also:
  Constant Field Values

### DISPLAY_REMOVE_INSTANCE_BUTTON

    protected static final String DISPLAY_REMOVE_INSTANCE_BUTTON

See Also:
  Constant Field Values

### DISPLAY_DELETE_INSTANCE_BUTTON

    protected static final String DISPLAY_DELETE_INSTANCE_BUTTON

See Also:
  Constant Field Values

### DISPLAY_PROTOTYPE_BUTTON

    protected static final String DISPLAY_PROTOTYPE_BUTTON

See Also:
  Constant Field Values

### DISPLAY_MOVE_INSTANCE_BUTTONS

    protected static final String DISPLAY_MOVE_INSTANCE_BUTTONS

See Also:
  Constant Field Values

### CREATE_INSTANCE_BUTTON_TOOLTIP

    protected static final String CREATE_INSTANCE_BUTTON_TOOLTIP

See Also:
  Constant Field Values

### ADD_INSTANCE_BUTTON_TOOLTIP

    protected static final String ADD_INSTANCE_BUTTON_TOOLTIP

See Also:
  Constant Field Values

### VIEW_INSTANCE_BUTTON_TOOLTIP

    protected static final String VIEW_INSTANCE_BUTTON_TOOLTIP

See Also:
  Constant Field Values

### REMOVE_INSTANCE_BUTTON_TOOLTIP

    protected static final String REMOVE_INSTANCE_BUTTON_TOOLTIP

See Also:
  Constant Field Values

### DELETE_INSTANCE_BUTTON_TOOLTIP

    protected static final String DELETE_INSTANCE_BUTTON_TOOLTIP

See Also:
  Constant Field Values

### MOVE_INSTANCE_BUTTONS_TOOLTIP

    protected static final String MOVE_INSTANCE_BUTTONS_TOOLTIP

See Also:
  Constant Field Values

### PROTOTYPE_BUTTON_TOOLTIP

    protected static final String PROTOTYPE_BUTTON_TOOLTIP

See Also:
  Constant Field Values

### CREATE_INSTANCE_DIALOG_TITLE

    protected static final String CREATE_INSTANCE_DIALOG_TITLE

See Also:
  Constant Field Values

### ADD_INSTANCE_DIALOG_TITLE

    protected static final String ADD_INSTANCE_DIALOG_TITLE

See Also:
  Constant Field Values

### CREATE_INSTANCE_BUTTON_TOOLTIP_DEFAULT

    protected static final String CREATE_INSTANCE_BUTTON_TOOLTIP_DEFAULT

See Also:
  Constant Field Values

### ADD_INSTANCE_BUTTON_TOOLTIP_DEFAULT

    protected static final String ADD_INSTANCE_BUTTON_TOOLTIP_DEFAULT

See Also:
  Constant Field Values

### VIEW_INSTANCE_BUTTON_TOOLTIP_DEFAULT

    protected static final String VIEW_INSTANCE_BUTTON_TOOLTIP_DEFAULT

See Also:
  Constant Field Values

### REMOVE_INSTANCE_BUTTON_TOOLTIP_DEFAULT

    protected static final String REMOVE_INSTANCE_BUTTON_TOOLTIP_DEFAULT

See Also:
  Constant Field Values

### DELETE_INSTANCE_BUTTON_TOOLTIP_DEFAULT

    protected static final String DELETE_INSTANCE_BUTTON_TOOLTIP_DEFAULT

See Also:
  Constant Field Values

### PROTOTYPE_BUTTON_TOOLTIP_DEFAULT

    protected static final String PROTOTYPE_BUTTON_TOOLTIP_DEFAULT

See Also:
  Constant Field Values

### MOVE_INSTANCE_BUTTONS_TOOLTIP_DEFAULT

    protected static final String MOVE_INSTANCE_BUTTONS_TOOLTIP_DEFAULT

See Also:
  Constant Field Values

### CREATE_INSTANCE_DIALOG_TITLE_DEFAULT

    protected static final String CREATE_INSTANCE_DIALOG_TITLE_DEFAULT

See Also:
  Constant Field Values

### ADD_INSTANCE_DIALOG_TITLE_DEFAULT

    protected static final String ADD_INSTANCE_DIALOG_TITLE_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### ButtonRelatedWidgetState

    public ButtonRelatedWidgetState(PropertyList properties)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in class `AbstractWidgetState`

### getAddInstanceButtonTooltip

    public String getAddInstanceButtonTooltip()

### getMoveInstanceTooltip

    public String getMoveInstanceTooltip()

### getMoveInstanceUpTooltip

    public String getMoveInstanceUpTooltip()

### getMoveInstanceDownTooltip

    public String getMoveInstanceDownTooltip()

### getAddInstanceDialogTitle

    public String getAddInstanceDialogTitle()

### getCreateInstanceButtonTooltip

    public String getCreateInstanceButtonTooltip()

### getCreateInstanceDialogTitle

    public String getCreateInstanceDialogTitle()

### getDeleteInstanceButtonTooltip

    public String getDeleteInstanceButtonTooltip()

### getPrototypeButtonTooltip

    public String getPrototypeButtonTooltip()

### getPrototypeDepth

    public int getPrototypeDepth()

### getRemoveInstanceButtonTooltip

    public String getRemoveInstanceButtonTooltip()

### getViewInstanceButtonTooltip

    public String getViewInstanceButtonTooltip()

### isDisplayAddInstanceButton

    public boolean isDisplayAddInstanceButton()

### isDisplayCreateInstanceButton

    public boolean isDisplayCreateInstanceButton()

### isDisplayDeleteInstanceButton

    public boolean isDisplayDeleteInstanceButton()

### isDisplayPrototypeButton

    public boolean isDisplayPrototypeButton()

### isDisplayRemoveInstanceButton

    public boolean isDisplayRemoveInstanceButton()

### isDisplayMoveInstanceButtons

    public boolean isDisplayMoveInstanceButtons()

### isDisplayViewInstanceButton

    public boolean isDisplayViewInstanceButton()

### restore

    public void restore()

  Specified by:
    `restore` in class `AbstractWidgetState`

### save

    public void save()

  Specified by:
    `save` in class `AbstractWidgetState`

### setAddInstanceButtonTooltip

    public void setAddInstanceButtonTooltip(String addInstanceButtonTooltip)

### setAddInstanceDialogTitle

    public void setAddInstanceDialogTitle(String addInstanceDialogTitle)

### setCreateInstanceButtonTooltip

    public void setCreateInstanceButtonTooltip(String createInstanceButtonTooltip)

### setCreateInstanceDialogTitle

    public void setCreateInstanceDialogTitle(String createInstanceDialogTitle)

### setDeleteInstanceButtonTooltip

    public void setDeleteInstanceButtonTooltip(String removeInstanceButtonTooltip)

### setDisplayAddInstanceButton

    public void setDisplayAddInstanceButton(Boolean displayAddInstanceButton)

### setDisplayAddInstanceButton

    public void setDisplayAddInstanceButton(boolean displayAddInstanceButton)

### setDisplayMoveInstanceButtons

    public void setDisplayMoveInstanceButtons(boolean display)

### setDisplayCreateInstanceButton

    public void setDisplayCreateInstanceButton(Boolean displayCreateInstanceButton)

### setDisplayCreateInstanceButton

    public void setDisplayCreateInstanceButton(boolean displayCreateInstanceButton)

### setDisplayDeleteInstanceButton

    public void setDisplayDeleteInstanceButton(Boolean displayDeleteInstanceButton)

### setDisplayDeleteInstanceButton

    public void setDisplayDeleteInstanceButton(boolean displayDeleteInstanceButton)

### setDisplayPrototypeButton

    public void setDisplayPrototypeButton(Boolean displayPrototypeButton)

### setDisplayPrototypeButton

    public void setDisplayPrototypeButton(boolean displayPrototypeButton)

### setDisplayRemoveInstanceButton

    public void setDisplayRemoveInstanceButton(Boolean displayRemoveInstanceButton)

### setDisplayRemoveInstanceButton

    public void setDisplayRemoveInstanceButton(boolean displayRemoveInstanceButton)

### setDisplayViewInstanceButton

    public void setDisplayViewInstanceButton(Boolean displayViewInstanceButton)

### setDisplayViewInstanceButton

    public void setDisplayViewInstanceButton(boolean displayViewInstanceButton)

### setPrototypeButtonTooltip

    public void setPrototypeButtonTooltip(String prototypeButtonTooltip)

### setPrototypeDepth

    public void setPrototypeDepth(int prototypeDepth)

### setPrototypeDepth

    public void setPrototypeDepth(Integer prototypeDepth)

### setRemoveInstanceButtonTooltip

    public void setRemoveInstanceButtonTooltip(String removeInstanceButtonTooltip)

### setMoveInstanceButtonsTooltip

    public void setMoveInstanceButtonsTooltip(String moveInstanceButtonsTooltip)

### setViewInstanceButtonTooltip

    public void setViewInstanceButtonTooltip(String viewInstanceButtonTooltip)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request